CP1251

var version = java.lang.System.getProperty("java.version");
if (version.startsWith("1.8.0")) {
    load("nashorn:mozilla_compat.js");
}

importClass(javax.swing.JMenu);
importClass(javax.swing.JMenuItem);
importPackage(org.apache.log4j);
logger = LogManager.getLogger('Logger');

str1 = "~js:{ var version = java.lang.System.getProperty('java.version'); if (version.startsWith('1.8.0')) { load('nashorn:mozilla_compat.js');  } \
 importPackage(java.awt); \
 importClass(java.net.URI); \
 desktop = Desktop.getDesktop(); \
 uri = new URI('http://37.235.69.78:10080/public/help/";

str2 = " desktop.browse(uri); ret = ''; }~";

m1 = new JMenu('Руководство');

i1 = new JMenuItem('Заказы'); i1.setActionCommand(str1 + "help_zakaz.html');" + str2); m1.add(i1);

i1 = new JMenuItem('Заявки на выдачу материалов'); i1.setActionCommand(str1 + "help_zvm.html');" + str2); m1.add(i1);

i1 = new JMenuItem('Сменно-суточное задание'); i1.setActionCommand(str1 + "help_ssz.html');" + str2); m1.add(i1);

i1 = new JMenuItem('Инвентаризация'); i1.setActionCommand(str1 + "help_inv.html');" + str2); m1.add(i1);

i1 = new JMenuItem('Нарезки'); i1.setActionCommand(str1 + "help_narezka.html');" + str2); m1.add(i1);

i1 = new JMenuItem('Поставщики и цены'); i1.setActionCommand(str1 + "help_sprav_active_client.html');" + str2); m1.add(i1);

i1 = new JMenuItem('Протоколы цен'); i1.setActionCommand(str1 + "help_price_protocol.html');" + str2); m1.add(i1);

i1 = new JMenuItem('Как выгрузить таблицу в Excel'); i1.setActionCommand(str1 + "help_print_table.html');" + str2); m1.add(i1);

SELF.addMenu(m1);

SELF.initDocumentMenu();

